Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network65.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
65.0.0.0
Broadcast address
65.127.255.255
First usable
65.0.0.1
Last usable
65.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 41000000 · Integer 1090519040 to 1098907647
Reverse DNS zones
0.65.in-addr.arpa
1.65.in-addr.arpa
2.65.in-addr.arpa
3.65.in-addr.arpa
4.65.in-addr.arpa
5.65.in-addr.arpa
6.65.in-addr.arpa
7.65.in-addr.arpa
8.65.in-addr.arpa
9.65.in-addr.arpa
10.65.in-addr.arpa
11.65.in-addr.arpa
12.65.in-addr.arpa
13.65.in-addr.arpa
14.65.in-addr.arpa
15.65.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000001.00000000.00000000.0000000065.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01000001.00000000.00000000.0000000065.0.0.0
Broadcast01000001.01111111.11111111.1111111165.127.255.255
Split into smaller subnets/19

65.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
165.0.0.0/1965.0.0.1 to 65.0.31.25465.0.31.2558,190
265.0.32.0/1965.0.32.1 to 65.0.63.25465.0.63.2558,190
365.0.64.0/1965.0.64.1 to 65.0.95.25465.0.95.2558,190
465.0.96.0/1965.0.96.1 to 65.0.127.25465.0.127.2558,190
565.0.128.0/1965.0.128.1 to 65.0.159.25465.0.159.2558,190
665.0.160.0/1965.0.160.1 to 65.0.191.25465.0.191.2558,190
765.0.192.0/1965.0.192.1 to 65.0.223.25465.0.223.2558,190
865.0.224.0/1965.0.224.1 to 65.0.255.25465.0.255.2558,190
965.1.0.0/1965.1.0.1 to 65.1.31.25465.1.31.2558,190
1065.1.32.0/1965.1.32.1 to 65.1.63.25465.1.63.2558,190
1165.1.64.0/1965.1.64.1 to 65.1.95.25465.1.95.2558,190
1265.1.96.0/1965.1.96.1 to 65.1.127.25465.1.127.2558,190
1365.1.128.0/1965.1.128.1 to 65.1.159.25465.1.159.2558,190
1465.1.160.0/1965.1.160.1 to 65.1.191.25465.1.191.2558,190
1565.1.192.0/1965.1.192.1 to 65.1.223.25465.1.223.2558,190
1665.1.224.0/1965.1.224.1 to 65.1.255.25465.1.255.2558,190
1765.2.0.0/1965.2.0.1 to 65.2.31.25465.2.31.2558,190
1865.2.32.0/1965.2.32.1 to 65.2.63.25465.2.63.2558,190
1965.2.64.0/1965.2.64.1 to 65.2.95.25465.2.95.2558,190
2065.2.96.0/1965.2.96.1 to 65.2.127.25465.2.127.2558,190
2165.2.128.0/1965.2.128.1 to 65.2.159.25465.2.159.2558,190
2265.2.160.0/1965.2.160.1 to 65.2.191.25465.2.191.2558,190
2365.2.192.0/1965.2.192.1 to 65.2.223.25465.2.223.2558,190
2465.2.224.0/1965.2.224.1 to 65.2.255.25465.2.255.2558,190
2565.3.0.0/1965.3.0.1 to 65.3.31.25465.3.31.2558,190
2665.3.32.0/1965.3.32.1 to 65.3.63.25465.3.63.2558,190
2765.3.64.0/1965.3.64.1 to 65.3.95.25465.3.95.2558,190
2865.3.96.0/1965.3.96.1 to 65.3.127.25465.3.127.2558,190
2965.3.128.0/1965.3.128.1 to 65.3.159.25465.3.159.2558,190
3065.3.160.0/1965.3.160.1 to 65.3.191.25465.3.191.2558,190
3165.3.192.0/1965.3.192.1 to 65.3.223.25465.3.223.2558,190
3265.3.224.0/1965.3.224.1 to 65.3.255.25465.3.255.2558,190
3365.4.0.0/1965.4.0.1 to 65.4.31.25465.4.31.2558,190
3465.4.32.0/1965.4.32.1 to 65.4.63.25465.4.63.2558,190
3565.4.64.0/1965.4.64.1 to 65.4.95.25465.4.95.2558,190
3665.4.96.0/1965.4.96.1 to 65.4.127.25465.4.127.2558,190
3765.4.128.0/1965.4.128.1 to 65.4.159.25465.4.159.2558,190
3865.4.160.0/1965.4.160.1 to 65.4.191.25465.4.191.2558,190
3965.4.192.0/1965.4.192.1 to 65.4.223.25465.4.223.2558,190
4065.4.224.0/1965.4.224.1 to 65.4.255.25465.4.255.2558,190
4165.5.0.0/1965.5.0.1 to 65.5.31.25465.5.31.2558,190
4265.5.32.0/1965.5.32.1 to 65.5.63.25465.5.63.2558,190
4365.5.64.0/1965.5.64.1 to 65.5.95.25465.5.95.2558,190
4465.5.96.0/1965.5.96.1 to 65.5.127.25465.5.127.2558,190
4565.5.128.0/1965.5.128.1 to 65.5.159.25465.5.159.2558,190
4665.5.160.0/1965.5.160.1 to 65.5.191.25465.5.191.2558,190
4765.5.192.0/1965.5.192.1 to 65.5.223.25465.5.223.2558,190
4865.5.224.0/1965.5.224.1 to 65.5.255.25465.5.255.2558,190
4965.6.0.0/1965.6.0.1 to 65.6.31.25465.6.31.2558,190
5065.6.32.0/1965.6.32.1 to 65.6.63.25465.6.63.2558,190
5165.6.64.0/1965.6.64.1 to 65.6.95.25465.6.95.2558,190
5265.6.96.0/1965.6.96.1 to 65.6.127.25465.6.127.2558,190
5365.6.128.0/1965.6.128.1 to 65.6.159.25465.6.159.2558,190
5465.6.160.0/1965.6.160.1 to 65.6.191.25465.6.191.2558,190
5565.6.192.0/1965.6.192.1 to 65.6.223.25465.6.223.2558,190
5665.6.224.0/1965.6.224.1 to 65.6.255.25465.6.255.2558,190
5765.7.0.0/1965.7.0.1 to 65.7.31.25465.7.31.2558,190
5865.7.32.0/1965.7.32.1 to 65.7.63.25465.7.63.2558,190
5965.7.64.0/1965.7.64.1 to 65.7.95.25465.7.95.2558,190
6065.7.96.0/1965.7.96.1 to 65.7.127.25465.7.127.2558,190
6165.7.128.0/1965.7.128.1 to 65.7.159.25465.7.159.2558,190
6265.7.160.0/1965.7.160.1 to 65.7.191.25465.7.191.2558,190
6365.7.192.0/1965.7.192.1 to 65.7.223.25465.7.223.2558,190
6465.7.224.0/1965.7.224.1 to 65.7.255.25465.7.255.2558,190
6565.8.0.0/1965.8.0.1 to 65.8.31.25465.8.31.2558,190
6665.8.32.0/1965.8.32.1 to 65.8.63.25465.8.63.2558,190
6765.8.64.0/1965.8.64.1 to 65.8.95.25465.8.95.2558,190
6865.8.96.0/1965.8.96.1 to 65.8.127.25465.8.127.2558,190
6965.8.128.0/1965.8.128.1 to 65.8.159.25465.8.159.2558,190
7065.8.160.0/1965.8.160.1 to 65.8.191.25465.8.191.2558,190
7165.8.192.0/1965.8.192.1 to 65.8.223.25465.8.223.2558,190
7265.8.224.0/1965.8.224.1 to 65.8.255.25465.8.255.2558,190
7365.9.0.0/1965.9.0.1 to 65.9.31.25465.9.31.2558,190
7465.9.32.0/1965.9.32.1 to 65.9.63.25465.9.63.2558,190
7565.9.64.0/1965.9.64.1 to 65.9.95.25465.9.95.2558,190
7665.9.96.0/1965.9.96.1 to 65.9.127.25465.9.127.2558,190
7765.9.128.0/1965.9.128.1 to 65.9.159.25465.9.159.2558,190
7865.9.160.0/1965.9.160.1 to 65.9.191.25465.9.191.2558,190
7965.9.192.0/1965.9.192.1 to 65.9.223.25465.9.223.2558,190
8065.9.224.0/1965.9.224.1 to 65.9.255.25465.9.255.2558,190
8165.10.0.0/1965.10.0.1 to 65.10.31.25465.10.31.2558,190
8265.10.32.0/1965.10.32.1 to 65.10.63.25465.10.63.2558,190
8365.10.64.0/1965.10.64.1 to 65.10.95.25465.10.95.2558,190
8465.10.96.0/1965.10.96.1 to 65.10.127.25465.10.127.2558,190
8565.10.128.0/1965.10.128.1 to 65.10.159.25465.10.159.2558,190
8665.10.160.0/1965.10.160.1 to 65.10.191.25465.10.191.2558,190
8765.10.192.0/1965.10.192.1 to 65.10.223.25465.10.223.2558,190
8865.10.224.0/1965.10.224.1 to 65.10.255.25465.10.255.2558,190
8965.11.0.0/1965.11.0.1 to 65.11.31.25465.11.31.2558,190
9065.11.32.0/1965.11.32.1 to 65.11.63.25465.11.63.2558,190
9165.11.64.0/1965.11.64.1 to 65.11.95.25465.11.95.2558,190
9265.11.96.0/1965.11.96.1 to 65.11.127.25465.11.127.2558,190
9365.11.128.0/1965.11.128.1 to 65.11.159.25465.11.159.2558,190
9465.11.160.0/1965.11.160.1 to 65.11.191.25465.11.191.2558,190
9565.11.192.0/1965.11.192.1 to 65.11.223.25465.11.223.2558,190
9665.11.224.0/1965.11.224.1 to 65.11.255.25465.11.255.2558,190
9765.12.0.0/1965.12.0.1 to 65.12.31.25465.12.31.2558,190
9865.12.32.0/1965.12.32.1 to 65.12.63.25465.12.63.2558,190
9965.12.64.0/1965.12.64.1 to 65.12.95.25465.12.95.2558,190
10065.12.96.0/1965.12.96.1 to 65.12.127.25465.12.127.2558,190
10165.12.128.0/1965.12.128.1 to 65.12.159.25465.12.159.2558,190
10265.12.160.0/1965.12.160.1 to 65.12.191.25465.12.191.2558,190
10365.12.192.0/1965.12.192.1 to 65.12.223.25465.12.223.2558,190
10465.12.224.0/1965.12.224.1 to 65.12.255.25465.12.255.2558,190
10565.13.0.0/1965.13.0.1 to 65.13.31.25465.13.31.2558,190
10665.13.32.0/1965.13.32.1 to 65.13.63.25465.13.63.2558,190
10765.13.64.0/1965.13.64.1 to 65.13.95.25465.13.95.2558,190
10865.13.96.0/1965.13.96.1 to 65.13.127.25465.13.127.2558,190
10965.13.128.0/1965.13.128.1 to 65.13.159.25465.13.159.2558,190
11065.13.160.0/1965.13.160.1 to 65.13.191.25465.13.191.2558,190
11165.13.192.0/1965.13.192.1 to 65.13.223.25465.13.223.2558,190
11265.13.224.0/1965.13.224.1 to 65.13.255.25465.13.255.2558,190
11365.14.0.0/1965.14.0.1 to 65.14.31.25465.14.31.2558,190
11465.14.32.0/1965.14.32.1 to 65.14.63.25465.14.63.2558,190
11565.14.64.0/1965.14.64.1 to 65.14.95.25465.14.95.2558,190
11665.14.96.0/1965.14.96.1 to 65.14.127.25465.14.127.2558,190
11765.14.128.0/1965.14.128.1 to 65.14.159.25465.14.159.2558,190
11865.14.160.0/1965.14.160.1 to 65.14.191.25465.14.191.2558,190
11965.14.192.0/1965.14.192.1 to 65.14.223.25465.14.223.2558,190
12065.14.224.0/1965.14.224.1 to 65.14.255.25465.14.255.2558,190
12165.15.0.0/1965.15.0.1 to 65.15.31.25465.15.31.2558,190
12265.15.32.0/1965.15.32.1 to 65.15.63.25465.15.63.2558,190
12365.15.64.0/1965.15.64.1 to 65.15.95.25465.15.95.2558,190
12465.15.96.0/1965.15.96.1 to 65.15.127.25465.15.127.2558,190
12565.15.128.0/1965.15.128.1 to 65.15.159.25465.15.159.2558,190
12665.15.160.0/1965.15.160.1 to 65.15.191.25465.15.191.2558,190
12765.15.192.0/1965.15.192.1 to 65.15.223.25465.15.223.2558,190
12865.15.224.0/1965.15.224.1 to 65.15.255.25465.15.255.2558,190
12965.16.0.0/1965.16.0.1 to 65.16.31.25465.16.31.2558,190
13065.16.32.0/1965.16.32.1 to 65.16.63.25465.16.63.2558,190
13165.16.64.0/1965.16.64.1 to 65.16.95.25465.16.95.2558,190
13265.16.96.0/1965.16.96.1 to 65.16.127.25465.16.127.2558,190
13365.16.128.0/1965.16.128.1 to 65.16.159.25465.16.159.2558,190
13465.16.160.0/1965.16.160.1 to 65.16.191.25465.16.191.2558,190
13565.16.192.0/1965.16.192.1 to 65.16.223.25465.16.223.2558,190
13665.16.224.0/1965.16.224.1 to 65.16.255.25465.16.255.2558,190
13765.17.0.0/1965.17.0.1 to 65.17.31.25465.17.31.2558,190
13865.17.32.0/1965.17.32.1 to 65.17.63.25465.17.63.2558,190
13965.17.64.0/1965.17.64.1 to 65.17.95.25465.17.95.2558,190
14065.17.96.0/1965.17.96.1 to 65.17.127.25465.17.127.2558,190
14165.17.128.0/1965.17.128.1 to 65.17.159.25465.17.159.2558,190
14265.17.160.0/1965.17.160.1 to 65.17.191.25465.17.191.2558,190
14365.17.192.0/1965.17.192.1 to 65.17.223.25465.17.223.2558,190
14465.17.224.0/1965.17.224.1 to 65.17.255.25465.17.255.2558,190
14565.18.0.0/1965.18.0.1 to 65.18.31.25465.18.31.2558,190
14665.18.32.0/1965.18.32.1 to 65.18.63.25465.18.63.2558,190
14765.18.64.0/1965.18.64.1 to 65.18.95.25465.18.95.2558,190
14865.18.96.0/1965.18.96.1 to 65.18.127.25465.18.127.2558,190
14965.18.128.0/1965.18.128.1 to 65.18.159.25465.18.159.2558,190
15065.18.160.0/1965.18.160.1 to 65.18.191.25465.18.191.2558,190
15165.18.192.0/1965.18.192.1 to 65.18.223.25465.18.223.2558,190
15265.18.224.0/1965.18.224.1 to 65.18.255.25465.18.255.2558,190
15365.19.0.0/1965.19.0.1 to 65.19.31.25465.19.31.2558,190
15465.19.32.0/1965.19.32.1 to 65.19.63.25465.19.63.2558,190
15565.19.64.0/1965.19.64.1 to 65.19.95.25465.19.95.2558,190
15665.19.96.0/1965.19.96.1 to 65.19.127.25465.19.127.2558,190
15765.19.128.0/1965.19.128.1 to 65.19.159.25465.19.159.2558,190
15865.19.160.0/1965.19.160.1 to 65.19.191.25465.19.191.2558,190
15965.19.192.0/1965.19.192.1 to 65.19.223.25465.19.223.2558,190
16065.19.224.0/1965.19.224.1 to 65.19.255.25465.19.255.2558,190
16165.20.0.0/1965.20.0.1 to 65.20.31.25465.20.31.2558,190
16265.20.32.0/1965.20.32.1 to 65.20.63.25465.20.63.2558,190
16365.20.64.0/1965.20.64.1 to 65.20.95.25465.20.95.2558,190
16465.20.96.0/1965.20.96.1 to 65.20.127.25465.20.127.2558,190
16565.20.128.0/1965.20.128.1 to 65.20.159.25465.20.159.2558,190
16665.20.160.0/1965.20.160.1 to 65.20.191.25465.20.191.2558,190
16765.20.192.0/1965.20.192.1 to 65.20.223.25465.20.223.2558,190
16865.20.224.0/1965.20.224.1 to 65.20.255.25465.20.255.2558,190
16965.21.0.0/1965.21.0.1 to 65.21.31.25465.21.31.2558,190
17065.21.32.0/1965.21.32.1 to 65.21.63.25465.21.63.2558,190
17165.21.64.0/1965.21.64.1 to 65.21.95.25465.21.95.2558,190
17265.21.96.0/1965.21.96.1 to 65.21.127.25465.21.127.2558,190
17365.21.128.0/1965.21.128.1 to 65.21.159.25465.21.159.2558,190
17465.21.160.0/1965.21.160.1 to 65.21.191.25465.21.191.2558,190
17565.21.192.0/1965.21.192.1 to 65.21.223.25465.21.223.2558,190
17665.21.224.0/1965.21.224.1 to 65.21.255.25465.21.255.2558,190
17765.22.0.0/1965.22.0.1 to 65.22.31.25465.22.31.2558,190
17865.22.32.0/1965.22.32.1 to 65.22.63.25465.22.63.2558,190
17965.22.64.0/1965.22.64.1 to 65.22.95.25465.22.95.2558,190
18065.22.96.0/1965.22.96.1 to 65.22.127.25465.22.127.2558,190
18165.22.128.0/1965.22.128.1 to 65.22.159.25465.22.159.2558,190
18265.22.160.0/1965.22.160.1 to 65.22.191.25465.22.191.2558,190
18365.22.192.0/1965.22.192.1 to 65.22.223.25465.22.223.2558,190
18465.22.224.0/1965.22.224.1 to 65.22.255.25465.22.255.2558,190
18565.23.0.0/1965.23.0.1 to 65.23.31.25465.23.31.2558,190
18665.23.32.0/1965.23.32.1 to 65.23.63.25465.23.63.2558,190
18765.23.64.0/1965.23.64.1 to 65.23.95.25465.23.95.2558,190
18865.23.96.0/1965.23.96.1 to 65.23.127.25465.23.127.2558,190
18965.23.128.0/1965.23.128.1 to 65.23.159.25465.23.159.2558,190
19065.23.160.0/1965.23.160.1 to 65.23.191.25465.23.191.2558,190
19165.23.192.0/1965.23.192.1 to 65.23.223.25465.23.223.2558,190
19265.23.224.0/1965.23.224.1 to 65.23.255.25465.23.255.2558,190
19365.24.0.0/1965.24.0.1 to 65.24.31.25465.24.31.2558,190
19465.24.32.0/1965.24.32.1 to 65.24.63.25465.24.63.2558,190
19565.24.64.0/1965.24.64.1 to 65.24.95.25465.24.95.2558,190
19665.24.96.0/1965.24.96.1 to 65.24.127.25465.24.127.2558,190
19765.24.128.0/1965.24.128.1 to 65.24.159.25465.24.159.2558,190
19865.24.160.0/1965.24.160.1 to 65.24.191.25465.24.191.2558,190
19965.24.192.0/1965.24.192.1 to 65.24.223.25465.24.223.2558,190
20065.24.224.0/1965.24.224.1 to 65.24.255.25465.24.255.2558,190
20165.25.0.0/1965.25.0.1 to 65.25.31.25465.25.31.2558,190
20265.25.32.0/1965.25.32.1 to 65.25.63.25465.25.63.2558,190
20365.25.64.0/1965.25.64.1 to 65.25.95.25465.25.95.2558,190
20465.25.96.0/1965.25.96.1 to 65.25.127.25465.25.127.2558,190
20565.25.128.0/1965.25.128.1 to 65.25.159.25465.25.159.2558,190
20665.25.160.0/1965.25.160.1 to 65.25.191.25465.25.191.2558,190
20765.25.192.0/1965.25.192.1 to 65.25.223.25465.25.223.2558,190
20865.25.224.0/1965.25.224.1 to 65.25.255.25465.25.255.2558,190
20965.26.0.0/1965.26.0.1 to 65.26.31.25465.26.31.2558,190
21065.26.32.0/1965.26.32.1 to 65.26.63.25465.26.63.2558,190
21165.26.64.0/1965.26.64.1 to 65.26.95.25465.26.95.2558,190
21265.26.96.0/1965.26.96.1 to 65.26.127.25465.26.127.2558,190
21365.26.128.0/1965.26.128.1 to 65.26.159.25465.26.159.2558,190
21465.26.160.0/1965.26.160.1 to 65.26.191.25465.26.191.2558,190
21565.26.192.0/1965.26.192.1 to 65.26.223.25465.26.223.2558,190
21665.26.224.0/1965.26.224.1 to 65.26.255.25465.26.255.2558,190
21765.27.0.0/1965.27.0.1 to 65.27.31.25465.27.31.2558,190
21865.27.32.0/1965.27.32.1 to 65.27.63.25465.27.63.2558,190
21965.27.64.0/1965.27.64.1 to 65.27.95.25465.27.95.2558,190
22065.27.96.0/1965.27.96.1 to 65.27.127.25465.27.127.2558,190
22165.27.128.0/1965.27.128.1 to 65.27.159.25465.27.159.2558,190
22265.27.160.0/1965.27.160.1 to 65.27.191.25465.27.191.2558,190
22365.27.192.0/1965.27.192.1 to 65.27.223.25465.27.223.2558,190
22465.27.224.0/1965.27.224.1 to 65.27.255.25465.27.255.2558,190
22565.28.0.0/1965.28.0.1 to 65.28.31.25465.28.31.2558,190
22665.28.32.0/1965.28.32.1 to 65.28.63.25465.28.63.2558,190
22765.28.64.0/1965.28.64.1 to 65.28.95.25465.28.95.2558,190
22865.28.96.0/1965.28.96.1 to 65.28.127.25465.28.127.2558,190
22965.28.128.0/1965.28.128.1 to 65.28.159.25465.28.159.2558,190
23065.28.160.0/1965.28.160.1 to 65.28.191.25465.28.191.2558,190
23165.28.192.0/1965.28.192.1 to 65.28.223.25465.28.223.2558,190
23265.28.224.0/1965.28.224.1 to 65.28.255.25465.28.255.2558,190
23365.29.0.0/1965.29.0.1 to 65.29.31.25465.29.31.2558,190
23465.29.32.0/1965.29.32.1 to 65.29.63.25465.29.63.2558,190
23565.29.64.0/1965.29.64.1 to 65.29.95.25465.29.95.2558,190
23665.29.96.0/1965.29.96.1 to 65.29.127.25465.29.127.2558,190
23765.29.128.0/1965.29.128.1 to 65.29.159.25465.29.159.2558,190
23865.29.160.0/1965.29.160.1 to 65.29.191.25465.29.191.2558,190
23965.29.192.0/1965.29.192.1 to 65.29.223.25465.29.223.2558,190
24065.29.224.0/1965.29.224.1 to 65.29.255.25465.29.255.2558,190
24165.30.0.0/1965.30.0.1 to 65.30.31.25465.30.31.2558,190
24265.30.32.0/1965.30.32.1 to 65.30.63.25465.30.63.2558,190
24365.30.64.0/1965.30.64.1 to 65.30.95.25465.30.95.2558,190
24465.30.96.0/1965.30.96.1 to 65.30.127.25465.30.127.2558,190
24565.30.128.0/1965.30.128.1 to 65.30.159.25465.30.159.2558,190
24665.30.160.0/1965.30.160.1 to 65.30.191.25465.30.191.2558,190
24765.30.192.0/1965.30.192.1 to 65.30.223.25465.30.223.2558,190
24865.30.224.0/1965.30.224.1 to 65.30.255.25465.30.255.2558,190
24965.31.0.0/1965.31.0.1 to 65.31.31.25465.31.31.2558,190
25065.31.32.0/1965.31.32.1 to 65.31.63.25465.31.63.2558,190
25165.31.64.0/1965.31.64.1 to 65.31.95.25465.31.95.2558,190
25265.31.96.0/1965.31.96.1 to 65.31.127.25465.31.127.2558,190
25365.31.128.0/1965.31.128.1 to 65.31.159.25465.31.159.2558,190
25465.31.160.0/1965.31.160.1 to 65.31.191.25465.31.191.2558,190
25565.31.192.0/1965.31.192.1 to 65.31.223.25465.31.223.2558,190
25665.31.224.0/1965.31.224.1 to 65.31.255.25465.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses